[IPython-dev] Trouble installing latest IPython 2.0 on Mac

Alessandro Gagliardi alessandro.gagliardi@glassdoor....
Fri Feb 14 12:22:55 CST 2014


In case it matters, I¹m doing this in a conda environment. I¹ve run conda
install pip and conda install readline (etc.) ahead of time.
I try:
$ pip install --no-deps -e ".[notebook]²
and it ends with

    Installed /Users/alessandro.gagliardi/Devel/ipython
Successfully installed ipython
Cleaning upŠ

But when I try 
$ ipython
It gives me

Traceback (most recent call last):
  File "/Users/alessandro.gagliardi/anaconda/envs/ipython2/bin/ipython",
line 5, in <module>
    from pkg_resources import load_entry_point
  File 
"/Users/alessandro.gagliardi/anaconda/envs/ipython2/lib/python2.7/site-pack
ages/setuptools-2.2-py2.7.egg/pkg_resources.py", line 2716, in <module>
  File 
"/Users/alessandro.gagliardi/anaconda/envs/ipython2/lib/python2.7/site-pack
ages/setuptools-2.2-py2.7.egg/pkg_resources.py", line 685, in require
  File 
"/Users/alessandro.gagliardi/anaconda/envs/ipython2/lib/python2.7/site-pack
ages/setuptools-2.2-py2.7.egg/pkg_resources.py", line 588, in resolve
pkg_resources.DistributionNotFound: readline


(FWIW, if I run strait up python and import readline, it works fine.)

Since that didn¹t work, I tried using setup.py as you recommended, but I
may have done it wrong. First:

$ python setup.py symlink
===========================================================================
=
BUILDING IPYTHON
                python: 2.7.6 |Continuum Analytics, Inc.| (default, Jan 10
                        2014, 11:23:15)  [GCC 4.0.1 (Apple Inc. build
5493)]
              platform: darwin

OPTIONAL DEPENDENCIES
                sphinx: Not found (required for docs and nbconvert)
              pygments: Not found (required for docs and nbconvert)
                  nose: 1.3.0
               pexpect: no (will use bundled version in IPython.external)
                 pyzmq: no (required for qtconsole, notebook, and parallel
                        computing capabilities)
               tornado: no (required for notebook)
              readline: yes
                jinja2: Not found (required for notebook and nbconvert)
running symlink
running install_lib_symlink
symlinking /Users/alessandro.gagliardi/Devel/ipython/IPython ->
/Users/alessandro.gagliardi/anaconda/envs/ipython2/lib/python2.7/site-packa
ges/IPython
running install_scripts_sym
running build_scripts
. . . 


Then:
$ python setup.py develop
running develop
running egg_info
creating ipython.egg-info
writing requirements to ipython.egg-info/requires.txt
writing ipython.egg-info/PKG-INFO
writing top-level names to ipython.egg-info/top_level.txt
writing dependency_links to ipython.egg-info/dependency_links.txt
writing entry points to ipython.egg-info/entry_points.txt
writing manifest file 'ipython.egg-info/SOURCES.txt'
reading manifest file 'ipython.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
no previously-included directories found matching
'IPython/html/static/mathjax'
warning: no files found matching 'IPython/.git_commit_info.ini'
warning: no previously-included files found matching 'docs/#*'
warning: no previously-included files found matching 'docs/man/*.1.gz'
no previously-included directories found matching 'docs/build'
no previously-included directories found matching 'docs/gh-pages'
no previously-included directories found matching 'docs/dist'
warning: no previously-included files matching '*~' found anywhere in
distribution
warning: no previously-included files matching '*.flc' found anywhere in
distribution
warning: no previously-included files matching '*.pyo' found anywhere in
distribution
warning: no previously-included files matching '.dircopy.log' found
anywhere in distribution
warning: no previously-included files matching '.ipynb_checkpoints' found
anywhere in distribution
writing manifest file 'ipython.egg-info/SOURCES.txt'
running build_ext
Creating 
/Users/alessandro.gagliardi/anaconda/envs/ipython2/lib/python2.7/site-packa
ges/ipython.egg-link (link to .)
ipython 2.0.0-dev is already the active version in easy-install.pth
Installing ipengine2 script to
/Users/alessandro.gagliardi/anaconda/envs/ipython2/bin
Installing iptest script to
/Users/alessandro.gagliardi/anaconda/envs/ipython2/bin
Installing ipython2 script to
/Users/alessandro.gagliardi/anaconda/envs/ipython2/bin
Installing ipcluster2 script to
/Users/alessandro.gagliardi/anaconda/envs/ipython2/bin
Installing ipcluster script to
/Users/alessandro.gagliardi/anaconda/envs/ipython2/bin
Installing ipython script to
/Users/alessandro.gagliardi/anaconda/envs/ipython2/bin
Installing ipcontroller2 script to
/Users/alessandro.gagliardi/anaconda/envs/ipython2/bin
Installing ipcontroller script to
/Users/alessandro.gagliardi/anaconda/envs/ipython2/bin
Installing iptest2 script to
/Users/alessandro.gagliardi/anaconda/envs/ipython2/bin
Installing ipengine script to
/Users/alessandro.gagliardi/anaconda/envs/ipython2/bin

Installed /Users/alessandro.gagliardi/Devel/ipython
Processing dependencies for ipython==2.0.0-dev
Searching for readline
Reading https://pypi.python.org/simple/readline/
Best match: readline 6.2.4.1
Downloading 
https://pypi.python.org/packages/source/r/readline/readline-6.2.4.1.tar.gz#
md5=578237939c81fdbc2c8334d168b17907
Processing readline-6.2.4.1.tar.gz
Writing 
/var/folders/s2/y7672sbn1p77xsk1zlh4zpss4brwrw/T/easy_install-ezbbrQ/readli
ne-6.2.4.1/setup.cfg
Running readline-6.2.4.1/setup.py -q bdist_egg --dist-dir
/var/folders/s2/y7672sbn1p77xsk1zlh4zpss4brwrw/T/easy_install-ezbbrQ/readli
ne-6.2.4.1/egg-dist-tmp-zQtRft
In file included from Modules/2.x/readline.c:8:
In file included from
/Users/alessandro.gagliardi/anaconda/envs/ipython2/include/python2.7/Python
.h:19:
In file included from
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolch
ain/usr/bin/../lib/clang/5.0/include/limits.h:38:
In file included from /usr/include/limits.h:63:
/usr/include/sys/cdefs.h:655:2: error: Unsupported architecture
#error Unsupported architecture
 ^
In file included from Modules/2.x/readline.c:8:
In file included from
/Users/alessandro.gagliardi/anaconda/envs/ipython2/include/python2.7/Python
.h:19:
In file included from
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolch
ain/usr/bin/../lib/clang/5.0/include/limits.h:38:
In file included from /usr/include/limits.h:64:
/usr/include/machine/limits.h:8:2: error: architecture not supported
#error architecture not supported
 ^
In file included from Modules/2.x/readline.c:8:
In file included from
/Users/alessandro.gagliardi/anaconda/envs/ipython2/include/python2.7/Python
.h:33:
In file included from /usr/include/stdio.h:67:
In file included from /usr/include/_types.h:27:
In file included from /usr/include/sys/_types.h:33:
/usr/include/machine/_types.h:34:2: error: architecture not supported
#error architecture not supported
 ^
In file included from Modules/2.x/readline.c:8:
In file included from
/Users/alessandro.gagliardi/anaconda/envs/ipython2/include/python2.7/Python
.h:33:
In file included from /usr/include/stdio.h:67:
In file included from /usr/include/_types.h:27:
/usr/include/sys/_types.h:94:9: error: unknown type name '__int64_t'
typedef __int64_t       __darwin_blkcnt_t;      /* total blocks */
        ^
/usr/include/sys/_types.h:95:9: error: unknown type name '__int32_t'
typedef __int32_t       __darwin_blksize_t;     /* preferred block size */
        ^

Etc. etc. etc.


So it looks like setup.py symlink is finding readline but then when I try
to install it gives me the same error.

Date: Thu, 13 Feb 2014 16:56:49 -0800
From: MinRK <benjaminrk@gmail.com>

This is a problem in both Anaconda and readline because of Anaconda's
unfortunate choice of 10.5 as the target SDK, which then readline doesn't
properly handle because the system is not actually 10.5, and it fails to
build. I actually have fixes <https://github.com/conda/conda-build/pull/42>
out <https://github.com/ludwigschwardt/python-readline/pull/31> to both,
respectively, which will hopefully resolve before we release IPython 2.0.
If they don't, I'll revert the annoying checking we have for readline on OS
X so that it will install on Anaconda.

In the meantime, you can install IPython with

    pip install --no-deps

which will ignore the dependencies, and/or use the `setup.py symlink`,
which is nicer than `pip install -e` or `setup.py develop`, and doesn't use
setuptools, so it will not install dependencies.

-MinRK


On Thu, Feb 13, 2014 at 4:15 PM, Alessandro Gagliardi <
alessandro.gagliardi@glassdoor.com> wrote:

>  I?m using a Mac with Anaconda installed. I was able to pip install the
> master branch of IPython 2 before but I wanted to update it (so I could
>get
> widgets). It looks like it dies while trying to build the readline
> extension module with regard to Darwin. I already have readline 6.2
> installed (from conda). When I try to pip install readline, I get the
>same
> error:
>
>   Command /Users/alessandro.gagliardi/anaconda/bin/python -c "import
> setuptools,
> 
>tokenize;__file__='/private/var/folders/s2/y7672sbn1p77xsk1zlh4zpss4brwrw/
>T/pip_build_alessandro.gagliardi/readline/setup.py';exec(compile(getattr(t
>okenize,
> 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))"
> install --record
> 
>/var/folders/s2/y7672sbn1p77xsk1zlh4zpss4brwrw/T/pip-yvVpC0-record/install
>-record.txt
> --single-version-externally-managed --compile failed with error code 1 in
> 
>/private/var/folders/s2/y7672sbn1p77xsk1zlh4zpss4brwrw/T/pip_build_alessan
>dro.gagliardi/readline
>
> Storing debug log for failure in /Users/alessandro.gagliardi/.pip/pip.log
>
>  I?ve attached the pip.log file in case that helps.
>
> _______________________________________________
> IPython-dev mailing list
> IPython-dev@scipy.org
> http://mail.scipy.org/mailman/listinfo/ipython-dev
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: 
http://mail.scipy.org/pipermail/ipython-dev/attachments/20140213/36296c80/a
ttachment-0001.html

------------------------------

Message: 2
Date: Thu, 13 Feb 2014 18:27:47 -0800
From: Mike Witt <msg2mw@gmail.com>
Subject: Re: [IPython-dev] Two questions about wakari
To: IPython developers list <ipython-dev@scipy.org>
Message-ID: <1392344867.2667.21@Vector>
Content-Type: text/plain; charset=us-ascii; DelSp=Yes; Format=Flowed

On 02/13/2014 04:01:07 PM, Aaron Meurer wrote:
> Try wakari_support@continuum.io.

Yeah, I had already done that. Bear in mind, I do have a "free"
account ...

Here's a tip, in case anybody's interested. My support "ticket"
didn't get answered for several days. Then, today, I noticed there
was a support "chat" available. That was picked up immediately
and the person was able to answer me. (I did close the ticket :-)

-Mike

------------------------------

_______________________________________________
IPython-dev mailing list
IPython-dev@scipy.org
http://mail.scipy.org/mailman/listinfo/ipython-dev


End of IPython-dev Digest, Vol 121, Issue 21
********************************************



More information about the IPython-dev mailing list